org.eclipse.graphiti.ui.internal.util.draw2d

## Class GFCornerHandle

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.gef.handles.AbstractHandle
    - - org.eclipse.graphiti.ui.internal.util.draw2d.GFCornerHandle

All Implemented Interfaces:
  org.eclipse.draw2d.AncestorListener, org.eclipse.draw2d.IFigure, org.eclipse.gef.Handle

    public class GFCornerHandle
    extends org.eclipse.gef.handles.AbstractHandle

A rectangular handle which is placed at a corner or at a side of a shape edit-part. It can be used to move or resize the shape edit-part.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`GFCornerHandle(org.eclipse.gef.GraphicalEditPart owner, IConfigurationProviderInternal configurationProvider, int location, int supportedResizeDirections, boolean movable, IShapeSelectionInfo shapeSelectionInfo)` Creates a new GFCornerHandle.

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getBG_COLOR_PRIMARY_NOT_RESIZABLE()`
`Color` `getBG_COLOR_PRIMARY_RESIZABLE()`
`Color` `getBG_COLOR_SECONDARY_NOT_RESIZABLE()`
`Color` `getBG_COLOR_SECONDARY_RESIZABLE()`
`Color` `getFG_COLOR_NOT_RESIZABLE()`
`Color` `getFG_COLOR_PRIMARY_RESIZABLE()`
`Color` `getFG_COLOR_SECONDARY_RESIZABLE()`
`void` `paintFigure(org.eclipse.draw2d.Graphics g)` Paints a rectangular handle which is placed at a corner or at a side of the shape edit-part.

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, removeNotify, setDragCursor, setDragTracker, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCornerHandle

    public GFCornerHandle(org.eclipse.gef.GraphicalEditPart owner,
                          IConfigurationProviderInternal configurationProvider,
                          int location,
                          int supportedResizeDirections,
                          boolean movable,
                          IShapeSelectionInfo shapeSelectionInfo)

Creates a new GFCornerHandle.

Parameters:
  `owner` - The shape edit-part associated with this handle.
  `configurationProvider` - The configuration provider, which can be used to access the environment.
  `location` - The location at which to locate the handle. If the location is part of the supported resize directions, then resizing is supported for this handle.
  `supportedResizeDirections` - The supported resize directions (see `ResizableEditPolicy.getResizeDirections()`)
  `movable` - Indicates, if moving the shape edit-part via this handle is supported.
  `shapeSelectionInfo` -

### Method Detail

#### getFG_COLOR_PRIMARY_RESIZABLE

    public Color getFG_COLOR_PRIMARY_RESIZABLE()

Returns:
  the fG_COLOR_PRIMARY_RESIZABLE

#### getFG_COLOR_SECONDARY_RESIZABLE

    public Color getFG_COLOR_SECONDARY_RESIZABLE()

Returns:
  the fG_COLOR_SECONDARY_RESIZABLE

#### getFG_COLOR_NOT_RESIZABLE

    public Color getFG_COLOR_NOT_RESIZABLE()

Returns:
  the fG_COLOR_NOT_RESIZABLE

#### getBG_COLOR_PRIMARY_RESIZABLE

    public Color getBG_COLOR_PRIMARY_RESIZABLE()

Returns:
  the bG_COLOR_PRIMARY_RESIZABLE

#### getBG_COLOR_SECONDARY_RESIZABLE

    public Color getBG_COLOR_SECONDARY_RESIZABLE()

Returns:
  the bG_COLOR_SECONDARY_RESIZABLE

#### getBG_COLOR_PRIMARY_NOT_RESIZABLE

    public Color getBG_COLOR_PRIMARY_NOT_RESIZABLE()

Returns:
  the bG_COLOR_PRIMARY_NOT_RESIZABLE

#### getBG_COLOR_SECONDARY_NOT_RESIZABLE

    public Color getBG_COLOR_SECONDARY_NOT_RESIZABLE()

Returns:
  the bG_COLOR_SECONDARY_NOT_RESIZABLE

#### paintFigure

    public void paintFigure(org.eclipse.draw2d.Graphics g)

Paints a rectangular handle which is placed at a corner or at a side of the shape edit-part.

Overrides:
  `paintFigure` in class `org.eclipse.draw2d.Figure`